FROM java:8
VOLUME /tmp
ADD TravellingSalesmanProblem-0.0.1.jar app.jar
RUN bash -c 'touch /app.jar'
ENTRYPOINT ["java","-Djava.security.egd=file:/dev/./urandom","-jar","/app.jar"]

mvn package && java -jar target/TravellingSalesmanProblem-0.0.1.jar